#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["37mm"] = {	
			name="37mm M5 cannon",
			RPM=15.0,
			sight					= {
										[1] = {
										x=0.45,
										y=0.25,
										z=-0.35,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= 
				{
				[1] = 
					{
						x = 0.4,
						y = 0.1,
						z = -1.9,
					}

				},
			
			magazines = 
				{
						[1] = 
						{
							name="M51B1/B2 (APCBC)",
							caliber 				= 37,
							velocity				= 230,
							maxPenDepth 			= 0.87,
							r						= 0.3,
							g						= 0.3, 
							b						= 0.3, 
							payload = "AP",
							magazineCount             = 89, 
						},
						[2] = 
						{
							name="M63 Shell (HE)",
							caliber 				= 37,
							velocity				= 230,
							explosionSize			= 0.4,
							maxPenDepth 			= 0.2,
							r						= 0.3,
							g						= 0.3, 
							b						= 0.3, 
							payload = "HE",
							magazineCount             = 89, 
						},
				},
				coax = 	{
					name="7.62mm M1919A4",
					caliber 				= 7.62,
					sight					= {
												[1] = {
												x=0.45,
												y=0.25,
												z=-0.35,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},	
					barrels		= {
										[1] = {
											x = 0.85,
											y = 0.15,
											z = -0.9,
											}
										},

					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.62mm",
								RPM = 450,
								maxPenDepth = 0.007,
								r						= 1.9,
								g						= 0.3, 
								b						= 0.3, 
							},
						},
				},
			},
		["76mm"] = {	
			name="75mm M2 cannon",
			RPM=9.0,
			sight					= {
										[1] = {
										x=0.30,
										y=0.80,
										z=0.10,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.4,
								y = 0.1,
								z = -1.9,
								}

							},
			
			magazines = {
						[1] = {name="M61 shot (APCBC)",
						caliber 				= 75,
						velocity				= 200,
						explosionSize			= 0.5,
						maxPenDepth = 1.0,
						payload					= "AP",
						magazineCount             = 17,
					},
						[2] = {name="M48 Shell (HE)",
						caliber 				= 75,
						velocity				= 200,
						explosionSize			= 0.6,
						maxPenDepth 			= 0.2,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 17, 
					},
						[3] = {name="72 shot (AP)",
						caliber 				= 75,
						velocity				= 200,
						maxPenDepth 			= 0.9,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "AP",
						magazineCount             = 16, 
					},
				},
			},
			
		["hull_mg"] = 	
			{
			caliber 				= 7.62,
			name="7.62mm M1919A4",
			sight 		= 
				{
				[1] = 
					{
						x=0.2,
						y=0.15,
						z=-0.2,
					},
				},
			barrels		= 
				{
				[1] = 
					{
						x = 0.05,
						y = 0.15,
						z = -0.5,
					}
				},

			-- 				},
			
			magazines = 
				{
				[1] = 
					{
						name="7.62mm",
						RPM = 450,
						maxPenDepth = 0.007,
						r						= 1.9,
						g						= 0.3, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}