#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="85 mm F-30",
			RPM=6.05,
			sight					= {
										[1] = {
										x=-1.6,
										y=-1.55,
										z=0.05,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.35,
								y = 0.65,
								z = -2.4,
								}

							},
			
			magazines = {
						[1] = {name="BR-365A (APHEBC)",
						caliber 				= 85,
						velocity				= 290,
						explosionSize			= 0.4,
						maxPenDepth = 1.35,
						payload					= "APHE",
						magazineCount             = 45,
					},
						[2] = {name="O-365K (HE)",
						caliber 				= 85,
						velocity				= 290,
						explosionSize			= 0.2,
						maxPenDepth 			= 0.4,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 44, 
					},
				},
				coax = 	{
					name="7.62mm DT",
					caliber 				= 7.62,
					RPM = 600,
					sight					= {
												[1] = {
												x=0.6,
												y=0.4,
												z=-0.35,
													},
												},
					scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},	
					barrels		= {
										[1] = {
											x = 0.85,
											y = -0.0,
											z = -0.9,
											}
										},
					elevationSpeed			= .5,
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					canZoom					= true,

					-- 				},
					
					magazines = {
								[1] = {name="7.62mm",
								maxPenDepth = 0.076,
								magazineCapacity = 63,
								magazineCount = 29,
								r						= 0.3,
								g						= 0.3, 
								b						= 0.3, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			caliber 				= 7.62,
			name="7.62mm DT",
			RPM = 600,
			sight					= {
										[1] = {
										x=0.5,
										y=-0.6,
										z=-1.85,
											},
										},
			barrels		= {
							[1] = {
								x = 0.15,
								y = 0.25,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.62mm",
						maxPenDepth = 0.076,
						magazineCapacity = 63,
						magazineCount = 29,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}