#include "../../scripts/avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {

	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {	
			name="107mm ZIS-6 cannon",
			elevationSpeed			= 0.3,
			RPM=3.0,
			sight					= {
										[1] = {
										x=-1.6,
										y=-1.55,
										z=0.05,
											},
										},

			scope_offset 			= {
										[1] = {
											x = 0.04,
											y = -0.04
											},
									},
			zoomSight 				= "MOD/gfx/Sherman_sights.png",
			fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
			soundFile				= "MOD/sounds/Relic700KwK37",
			reloadSound				= "MOD/sounds/Relic700KwKReload",
			reloadPlayOnce			= true,
										-- aimForwards = true,
			zero_range 				= 100,
			barrels		= {
							[1] = {
								x = 0.35,
								y = 0.65,
								z = -2.4,
								}

							},
			
			magazines = {
						[1] = {name="B-420 (APHEBC)",
						caliber 				= 107,
						velocity				= 305,
						explosionSize			= 0.2,
						maxPenDepth = 1.63,
						payload					= "APHE",
						magazineCount             = 24,
					},
						[2] = {name="OF-420 (HE)",
						caliber 				= 107,
						velocity				= 305,
						explosionSize			= 0.3,
						maxPenDepth 			= 0.4,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
						payload = "HE",
						magazineCount             = 24, 
					},
				},
				coax = 	{
					name="45mm 20-K Cannon",
					elevationSpeed			= 0.3,
					RPM=22.0,
					sight					= {
												[1] = {
												x=0.6,
												y=1.45,
												z=-0.35,
													},
												},

					scope_offset 			= {
												[1] = {
													x = 0.04,
													y = -0.04
													},
											},
					zoomSight 				= "MOD/gfx/Sherman_sights.png",
					fireControlComputer			= "MOD/gfx/scopeOutside_3.png",
					soundFile				= "MOD/sounds/Relic700KwK37",
					reloadSound				= "MOD/sounds/Relic700KwKReload",
					reloadPlayOnce			= true,
												-- aimForwards = true,
					zero_range 				= 100,
					barrels		= {
									[1] = {
										x = 0.35,
										y = 0.1,
										z = -3.9,
										}

									},
			
					magazines = {
							[1] = {name="BR-240 (APHEBC)",
							caliber 				= 45,
							velocity				= 270,
							explosionSize			= 0.2,
							maxPenDepth = 0.70,
							payload					= "APHE",
							magazineCount             = 40,
						},
							[2] = {name="BR-240SP (AP)",
							caliber 				= 45,
							velocity				= 270,
							maxPenDepth 			= 0.73,
							r						= 0.3,
							g						= 0.3, 
							b						= 0.3, 
							payload = "AP",
							magazineCount             = 40, 
							},
						},
				},
			
		},
		["hull_mg"] = 	{
			caliber 				= 7.62,
			name="7.62mm DT",
			RPM = 600,
			sight					= {
										[1] = {
										x=0.5,
										y=-0.6,
										z=-1.85,
											},
										},
			barrels		= {
							[1] = {
								x = 0.15,
								y = 0.25,
								z = -0.5,
								}
							},

			-- 				},
			
			magazines = {
						[1] = {name="7.62mm",
						maxPenDepth = 0.076,
						magazineCapacity = 63,
						magazineCount = 29,
						r						= 0.3,
						g						= 0.3, 
						b						= 0.3, 
					},
				},
			},
	},
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}